libdap::XDRFileUnMarshaller Class Reference

unmarshaller that knows how to unmarshall/deserialize dap objects using XDR from a file More...

`#include <XDRFileUnMarshaller.h>`

Inheritance diagram for libdap::XDRFileUnMarshaller:

## Public Member Functions

virtual void | dump (ostream &strm) const
| dump the contents of this object to the specified ostream
virtual void | get_byte (dods_byte &val)
virtual void | get_float32 (dods_float32 &val)
virtual void | get_float64 (dods_float64 &val)
virtual void | get_int (int &val)
virtual void | get_int16 (dods_int16 &val)
virtual void | get_int32 (dods_int32 &val)
virtual void | get_opaque (char *val, unsigned int len)
virtual void | get_str (string &val)
virtual void | get_uint16 (dods_uint16 &val)
virtual void | get_uint32 (dods_uint32 &val)
virtual void | get_url (string &val)
virtual void | get_vector (char **val, unsigned int &num, int width, Vector &vec)
virtual void | get_vector (char **val, unsigned int &num, Vector &vec)
| XDRFileUnMarshaller (FILE *out)

## Detailed Description

unmarshaller that knows how to unmarshall/deserialize dap objects using XDR from a file

Definition at line 45 of file XDRFileUnMarshaller.h.

## Constructor & Destructor Documentation

## XDRFileUnMarshaller()

libdap::XDRFileUnMarshaller::XDRFileUnMarshaller | ( | FILE * | out | ) |

Definition at line 57 of file XDRFileUnMarshaller.cc.

## ~XDRFileUnMarshaller()

libdap::XDRFileUnMarshaller::~XDRFileUnMarshaller | ( |  | ) |

virtual

Definition at line 81 of file XDRFileUnMarshaller.cc.

## Member Function Documentation

## dump()

void libdap::XDRFileUnMarshaller::dump | ( | ostream & | strm | ) | const

virtual

dump the contents of this object to the specified ostream

This method is implemented by all derived classes to dump their contents, in other words, any state they might have, private variables, etc...

Parameters

  strm | C++ i/o stream to dump the object to

Implements libdap::UnMarshaller.

Definition at line 191 of file XDRFileUnMarshaller.cc.

## get_byte()

void libdap::XDRFileUnMarshaller::get_byte | ( | dods_byte & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 91 of file XDRFileUnMarshaller.cc.

## get_float32()

void libdap::XDRFileUnMarshaller::get_float32 | ( | dods_float32 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 112 of file XDRFileUnMarshaller.cc.

## get_float64()

void libdap::XDRFileUnMarshaller::get_float64 | ( | dods_float64 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 119 of file XDRFileUnMarshaller.cc.

## get_int()

void libdap::XDRFileUnMarshaller::get_int | ( | int & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 165 of file XDRFileUnMarshaller.cc.

## get_int16()

void libdap::XDRFileUnMarshaller::get_int16 | ( | dods_int16 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 98 of file XDRFileUnMarshaller.cc.

## get_int32()

void libdap::XDRFileUnMarshaller::get_int32 | ( | dods_int32 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 105 of file XDRFileUnMarshaller.cc.

## get_opaque()

void libdap::XDRFileUnMarshaller::get_opaque | ( | char * | val,
|  | unsigned int | len
| ) |  |

virtual

Implements libdap::UnMarshaller.

Definition at line 159 of file XDRFileUnMarshaller.cc.

## get_str()

void libdap::XDRFileUnMarshaller::get_str | ( | string & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 140 of file XDRFileUnMarshaller.cc.

## get_uint16()

void libdap::XDRFileUnMarshaller::get_uint16 | ( | dods_uint16 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 126 of file XDRFileUnMarshaller.cc.

## get_uint32()

void libdap::XDRFileUnMarshaller::get_uint32 | ( | dods_uint32 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 133 of file XDRFileUnMarshaller.cc.

## get_url()

void libdap::XDRFileUnMarshaller::get_url | ( | string & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 153 of file XDRFileUnMarshaller.cc.

## get_vector() [1/2]

void libdap::XDRFileUnMarshaller::get_vector | ( | char ** | val,
|  | unsigned int & | num,
|  | int | width,
|  | Vector & | vec
| ) |  |

virtual

Implements libdap::UnMarshaller.

Definition at line 179 of file XDRFileUnMarshaller.cc.

## get_vector() [2/2]

void libdap::XDRFileUnMarshaller::get_vector | ( | char ** | val,
|  | unsigned int & | num,
|  | Vector & | vec
| ) |  |

virtual

Implements libdap::UnMarshaller.

Definition at line 172 of file XDRFileUnMarshaller.cc.

The documentation for this class was generated from the following files:

- XDRFileUnMarshaller.h
- XDRFileUnMarshaller.cc